/*
 * @Author: guanxiaoyan guanxiaoyan@pb-station.com
 * @Deion:
 * @Date: 2023-12-13 15:47:51
 * @LastEditors: guanxiaoyan guanxiaoyan@pb-station.com
 * @LastEditTime: 2024-01-23 11:37:29
 * @FilePath: /followUp-admin/src/api/hospital/index.js
 */
export * from "./followupManage/followupPlan";
export * from "./followupManage/followupSurvey";
export * from "./patientManage/followupPatient";

import request from "@/utils/request";

// 获取科室列表-树形结构
export function getTreeHospDept() {
  return request({
    url: `/sf-work/hospDept/all-list-children`,
    method: "get",
  });
}

// 获取疾病标签
export function getMedicalLabel(query) {
  return request({
    url: `/sf-work/medicalLabel/all-dept-label`,
    method: "get",
    params: query,
  });
}

// 获取所有医生
export function getDoctorAllList(query) {
  return request({
    url: `/common/doctor/list`,
    method: "get",
    params: query,
  });
}

// 获取医院厂商数据
export function getClientIdAllList(query) {
  return request({
    url: `/firm/getAll`,
    method: "get",
    params: query,
  });
}
// 医院二维码
export function hospitalQrcode(query) {
  return request({
    url: `/hosp/generate-qrcode`,
    method: "get",
    params: query,
  });
}
